#ifndef StateUserUnknown_h
#define StateUserUnknown_h

#include "Arduino.h"
#include "StateHandler.h"


/**
 * "User unknown" state
 *
 * Displays "Error user unknwn" until a button is pressed.
**/
class UserUnknownState : public AbstractStateHandler
{
  public:
    void setup();
    void loop();

  private:
    unsigned long animationTime;
    byte animationStep;
};

#endif